Album: The Liminal Descent
Artists:
- Thomas Ferkol
Date: January 30, 2013
Date Added: February 18, 2025
Cover Artists:
- Nic Carey
Wallpaper Artists:
- Nic Carey 
- Jebb (edits for wiki)
Art Tags:
- Erik (The Earthen Scar)
- Margaret (The Earthen Scar)
Wallpaper File Extension: png
URLs:
- https://eidolonorpheus.bandcamp.com/album/the-liminal-descent
Color: '#b8af70'
Groups:
- Thomas Ferkol
- Beyond
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://twitter.com/kalibration/status/1851856539553784144), excerpt)

    THE LIMINAL DESCENT is the next installment of THE EARTHEN SCAR series. Months, perhaps years previous, two necromancers are forced into exile for researching too deeply (and loudly) into the source of the Miasma. To make matters worse, they are pursued by the high inquisitors of their order, the Congregation of Mortis, under the supposed reincarnated death god at the head of the Miasma. Meanwhile, Annette and Corvus begin their first trek through the plague state Alacastor, seeking the location associated with the Gottestrane mentioned in her parents ledger, a plant that supposedly can never die.
---
Track: Crossroad
Suffix Directory: true
Always Reference By Directory: true
Duration: 3:04
URLs:
- https://eidolonorpheus.bandcamp.com/track/crossroad
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://eidolonorpheus.bandcamp.com/track/crossroad))

    Crossroad: Forced into an exodus, otherwise facing complete decimation at the hand of a god, necromancers Erik and Margaret lead their host of Miasmics from the smoldering remains of their camp. Erik, under the guidance of Margaret, began researching the Miasma more thoroughly than the state, and its head, desired. Unlike Margaret, who had already delved deeper into the truth, Erik made his findings and intentions less subtle when brought in front of committees, compromising their standing with the Congregation of Mortis, the order behind it all. Margaret agrees to provide Erik with much of her work and to continue researching, though out of the reach of the Congregation.
---
Track: The Whispering Veil
Duration: 4:47
URLs:
- https://eidolonorpheus.bandcamp.com/track/the-whispering-veil
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://eidolonorpheus.bandcamp.com/track/the-whispering-veil))

    Knowing they would be hunted until extermination or evacuation from Alacastor, and probably even after, Margaret and Erik travel south. They agree to part their forces once they reach the other side of a canyon, known as The Whispering Veil, to avoid being easily tracked through the Miasma. Centuries previous, Percival, a prophet of Mortis, sought to make a pilgrimage to the north to find the Mortiseum, the house of Mortis, which was allegedly at the top of the world. The story goes that Mortis tested Percival's faith by letting him hear the whispers of the dead from the dark canyon walls and observing if he was resilient against their goading and questioning. When he proved himself strong willed enough to carry on, Mortis spoke from behind a veil of dark clouds in the sky, stating that Percival may continue his quest. Though Margaret tries to pass time by telling the story, Erik is uninterested. Instead, its connection to Mortis returns his thoughts to their present situation: running away from what most people in Alacastor have come to believe is Mortis himself.
---
Track: Right Hand of God
Duration: 3:17
URLs:
- https://eidolonorpheus.bandcamp.com/track/right-hand-of-god
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://eidolonorpheus.bandcamp.com/track/right-hand-of-god))

    Almost clear of the canyon, the Miasmic host is ambushed by a prophet known as Faust, one of the Congregation's high inquisitors. Most of the Miasmics clear the canyon as Margaret, Erik, and a group of revenants (Miasmics still bearing self-awareness) hold the prophet's attention. As Faust is distracted, Margaret asks Erik to continue south, beyond Alacastor's border, and then move east, toward the Capillarian Forest. He complies and takes half the host. Margaret duels with Faust just long enough for Erik to disappear, then calls for a truce, stating she knows something valuable to Mortis. Faust stands down, and agrees to let Margaret meet with Mortis at a different location to further discuss the matter. She heads west, toward the lake Nostros, with Faust, who relays the news to Mortis.
---
Track: The Crone
Duration: 2:34
URLs:
- https://eidolonorpheus.bandcamp.com/track/the-crone
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://eidolonorpheus.bandcamp.com/track/the-crone))

    Time and location skip forward to Annette and Corvus, now traveling west along the tributary they had used to escape the Watcher's drones toward what they hope is the location of the Gottestrane, the plant mentioned in her parents' ledger. The further into Alacastor they travel, however, the more human-like and less hostile the Miasmics seem to become, at times ignoring them completely. The landscape also changes, gradually appearing more natural and less scarred, though not by a large degree. Annette decides to try and blend in, risking verbal contact with some revenants to get better directions. After some short encounters with surprisingly helpful villagers, all of their answers point toward a figure referred to as "The Crone," who resides in Galvansburg and tends to the Deathless Gardens, housing plants similar in description to the Gottestrane.
---
Track: Margaret
Duration: 3:42
URLs:
- https://eidolonorpheus.bandcamp.com/track/margaret
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://eidolonorpheus.bandcamp.com/track/margaret))

    In Galvansburg, the pair seek out "The Crone." Along the way, they encounter many oddities, including alchemical creations bearing a strong resemblance to Corvus. Eventually, they find the garden and "The Crone," a necromancer named Margaret. She greets Corvus first, but her focus shifts to Annette after noticing her "aliveness," expressing surprise at seeing a living mage this far into Alacastor. She introduces herself as a renowned alchemist and researcher under the direction of the Congregation of Mortis. Annette, being raised in a setting removed from society, inquires about the order. Margaret tells her about the Congregation and its ruling: an order of mages who gave their lives to use the Miasma to grant the people of Alacastor eternal life. At its head is a living god named Mortis who supposedly brought this gift to humanity at his second coming. When Margaret asks what brought the pair to Galvansburg, Annette tells her of her parents' disappearance and the contents of the ledger. Intrigued by what she's hearing, Margaret pries into Annette's past and tells the pair that she might know something interesting of Annette's parents and perhaps Annette herself… but will only divulge the information if she is willing fetch a companion of hers from their location to the south.
---
Track: Traveling in Plain Sight
Duration: 2:10
URLs:
- https://eidolonorpheus.bandcamp.com/track/traveling-in-plain-sight
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://eidolonorpheus.bandcamp.com/track/traveling-in-plain-sight))

    Margaret allows Annette and Corvus to depart with caravan set to stop near the southern border of Alacastor. She tells them that her companion is a man named Erik who should hopefully be near the Capillarian Forest by now. She teaches Annette a way to track him through the Miasma once they are close enough. Though she expresses some concerns about traveling in the open on the roads, Margaret reassures them that they will be safe from suspicion surrounded by revenants, and that even then, she is probably the safest person in Alacastor.
---
Track: The Siege
Duration: 4:25
URLs:
- https://eidolonorpheus.bandcamp.com/track/the-siege
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://eidolonorpheus.bandcamp.com/track/the-siege))

    Leaving the caravan behind, the pair reaches the southern border of Alacastor, only to find their current location a battleground. Though safely beyond the quarantine line, they learn of a necromancer hiding out in a fort that was renamed Specter's Hand before the southern military forces pushed the Miasmics back. Recognized as a mage by Colonel Ameste, Annette and Corvus are dragged into the conflict with mixed feelings. Ameste is wary of the pair and curious about their background, but requires their aid in breaching the fort and apprehending the necromancer. The military assaults the Miasmic hold. In the midst of the battle, Annette and Ameste come face to face with the necromancer hiding inside.
---
Track: The Duelist
Duration: 4:04
URLs:
- https://eidolonorpheus.bandcamp.com/track/the-duelist
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://eidolonorpheus.bandcamp.com/track/the-duelist))

    Trapped in the fort when the southern military pushed the quarantine further into Alacastor, Erik had failed to reach the Capillarian Forest. Now, he attempts to escape the two mages, a seemingly hopeless endeavor. That is, until he notices something strange about the younger, with traces of the Miasma in her movement. During the confrontation, he tries to find out more, asking her questions and hinting at something that doesn't seem to click for her. In the end, however, he is arrested by the colonel, his arms severed to prevent magic usage, and made a prisoner of the military to be temporarily held in the fort.
---
Track: Death in Life's Clothing
Duration: 3:34
URLs:
- https://eidolonorpheus.bandcamp.com/track/death-in-lifes-clothing
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://eidolonorpheus.bandcamp.com/track/death-in-lifes-clothing))

    During the fight, Ameste realized what Erik was implying while Annette is still clueless. She confronts Annette, accusing her of being a Miasmic. Shocked by the accusation, she can neither confirm or deny it, not knowing herself. Ameste offers her an ultimatum: because she's different from the others, to work with the military in quarantining and eventually eradicating its existence, or face the same fate as Erik. Still trying to process the idea as connections are made and the revelation takes its hold, Annette asks for some time to figure things out. Realizing she genuinely didn't know, Ameste allows it, but demands an answer by morning. Now knowing the name of the prisoner, Annette uses the tracking method Margaret taught her. Sure enough, he's the Erik she was looking for. In order to hold her end of the bargain with Margaret and in light of her recent discovery, she decides she and Corvus must free Erik and escape the military.
---
Track: Dead Flight
Duration: 4:11
URLs:
- https://eidolonorpheus.bandcamp.com/track/dead-flight
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://eidolonorpheus.bandcamp.com/track/dead-flight))

    Annette and Corvus break Erik out of prison just before dawn. He and Annette discuss her realization before charging through the fort. Corvus takes a crossbow bolt to the arm. Though stricken with anxiety and the target of the military forces awakening, Annette and the guys manage to get over the wall and move down the road. Just as they think they're clear, however, Ameste ambushes them, incinerating Erik and bearing down on Annette and an injured Corvus with fire. In the end, Annette resolves to accept her being a Miasmic and tries to replicate the method used by the Watcher by combining Miasma affected blood with the earth. She impales Ameste with a tendril of earth.
---
Track: Inhuman After All
Duration: 2:52
URLs:
- https://eidolonorpheus.bandcamp.com/track/inhuman-after-all
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://eidolonorpheus.bandcamp.com/track/inhuman-after-all))

    Annette tends to Erik, who has been heavily damaged. His lower body no longer functioning and upper body in barely better shape, he begins to tell Annette more about the Miasma and its properties while trying to think of a way to continue the journey back to Margaret. He tells her being a Miasmic isn't a matter of life and undeath, but rather that the Miasma is a type of alchemic magic that changes everything living or once possessing life it comes in contact with. By changing the make up of things with the Miasma, they take on an entirely different form of life, an almost parasitic life based on "the source" at the heart of Alacastor. The altered body resonates with some distant "frequency" of life that's always been there, as he describes it. In her case, she is both living and a Miasmic, and so long as she keeps her body preserved and capable of sustaining life without the Miasma, she can stay that way. In the middle of asking for more information, however, Erik cuts her off, saying it isn't the best time and place for him to divulge everything. Instead, he requests that she sever his head.
---
Track: When Old Ashes Burn Brightest
Duration: 1:53
URLs:
- https://eidolonorpheus.bandcamp.com/track/when-old-ashes-burn-brightest
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://eidolonorpheus.bandcamp.com/track/when-old-ashes-burn-brightest))

    Annette and Corvus depart with Erik's head in tow, still alive and vocal, to Galvansburg.
